import 'package:dartz/dartz.dart';
import '../../core/error/failures.dart';
import '../models/advance_request_model.dart';
import '../repositories/advance_repository.dart';

class CreateAdvanceUseCase {
  final AdvanceRepository repository;

  CreateAdvanceUseCase({required this.repository});

  Future<Either<Failure, AdvanceResponseModel>> call(AdvanceRequestModel request) {
    return repository.createAdvance(request);
  }
}
